import inspect,os
mainsdir=os.path.dirname(os.path.abspath(inspect.getfile(inspect.currentframe())))


# ----------------------------------------------------------------------
#  MAIN PROGRAM - generated by the Rappture Builder
# ----------------------------------------------------------------------
import Rappture
import sys
from math import *

# open the XML file containing the run parameters
io = Rappture.library(sys.argv[1])

#########################################################
# Get input values from Rappture
#########################################################

# get input value for input.phase(epsin).string(epstxt)
epstxt = io.get('input.phase(epsin).string(epstxt).current')

# get input value for input.phase(paramin).note(config)
config = io.get('input.phase(paramin).note(config).current')

# get input value for input.phase(paramin).group(calc).choice(sorp)
sorp = io.get('input.phase(paramin).group(calc).choice(sorp).current')

# get input value for input.phase(paramin).group(calc).choice(nforff)
nforff = io.get('input.phase(paramin).group(calc).choice(nforff).current')

# get input value for input.phase(paramin).group(params).number(T1) and convert to K
strr = io.get('input.phase(paramin).group(params).number(T1).current')
T1 = Rappture.Units.convert(strr, to="K", units="off")

# get input value for input.phase(paramin).group(params).string(eps1)
eps1 = io.get('input.phase(paramin).group(params).string(eps1).current')

# get input value for input.phase(paramin).group(params).number(T2) and convert to K
strr = io.get('input.phase(paramin).group(params).number(T2).current')
T2 = Rappture.Units.convert(strr, to="K", units="off")

# get input value for input.phase(paramin).group(params).string(eps2)
eps2 = io.get('input.phase(paramin).group(params).string(eps2).current')

# get input value for input.phase(paramin).group(params).number(d) and convert to m
strr = io.get('input.phase(paramin).group(params).number(d).current')
din = Rappture.Units.convert(strr, to="m", units="off")

# get input value for input.phase(paramin).group(calc).group(calcopts).integer(chunk)
bchunk = int(io.get('input.phase(paramin).group(calc).group(calcopts).integer(chunk).current'))

# get input value for input.phase(paramin).group(calc).group(calcopts).group(calcrez).integer(no)
no = int(io.get('input.phase(paramin).group(calc).group(calcopts).group(calcrez).integer(no).current'))

# get input value for input.phase(paramin).group(calc).group(calcopts).group(calcrez).integer(nb)
nb = int(io.get('input.phase(paramin).group(calc).group(calcopts).group(calcrez).integer(nb).current'))

# get input value for input.phase(paramin).group(calc).group(calcopts).group(intlims).number(beta1)
inbeta1 = float(io.get('input.phase(paramin).group(calc).group(calcopts).group(intlims).number(beta1).current'))

# get input value for input.phase(paramin).group(calc).group(calcopts).group(intlims).number(beta2)
inbeta2 = float(io.get('input.phase(paramin).group(calc).group(calcopts).group(intlims).number(beta2).current'))

# get input value for input.phase(paramin).group(calc).group(calcopts).group(intlims).number(omega1) and convert to rad
strr = io.get('input.phase(paramin).group(calc).group(calcopts).group(intlims).number(omega1).current')
inomega1 = Rappture.Units.convert(strr, to="rad", units="off")

# get input value for input.phase(paramin).group(calc).group(calcopts).group(intlims).number(omega2) and convert to rad
strr = io.get('input.phase(paramin).group(calc).group(calcopts).group(intlims).number(omega2).current')
inomega2 = Rappture.Units.convert(strr, to="rad", units="off");del strr

#########################################################
#  Add your code here for the main body of your program
#########################################################

# spit out progress messages as you go along...
Rappture.Utils.progress(0, "Starting...")
#Rappture.Utils.progress(5, "Loading data...")
#Rappture.Utils.progress(50, "Half-way there")


execfile(os.path.join(mainsdir,"main2.py"))
#TODO implement progress data when available
#Rappture.Utils.progressData(io,'progress.curve(convergence)component.xy', '%d %g\n' % (1,1), op='append')
Rappture.Utils.progress(100, "Done")

#########################################################
# Save output values back to Rappture
#########################################################

# save output value for output.curve(qw)
# this shows just one (x,y) point -- modify as needed

io.put('output.curve(qw).component.xy', line, append=1)

# save output value for output.number(P)
io.put('output.number(P).current',P)


Rappture.result(io)
sys.exit()
